Name:           perl-HTTP-Body
Version:        1.05
Release:        3%{?dist}
Summary:        HTTP Body Parser
Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/HTTP-Body
Source0:        http://search.cpan.org/CPAN/authors/id/A/AG/AGRUNDMA/HTTP-Body-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Carp), perl(File::Temp) >= 0.14, perl(IO::File), perl(Test::More)
BuildRequires:  perl(YAML) >= 0.39, perl(Test::Pod), perl(Test::Pod::Coverage)
Requires:  perl(YAML) >= 0.39
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
A perl module for parsing the MultiPart, OctetStream, and UrlEncoded 
parts of an HTTP Body.

%prep
%setup -q -n HTTP-Body-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# File locking looks to be broken on the PPC builders.
# This is triggering test failures here, so we'll disable for now.
# make test TEST_POD=1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/HTTP/
%{_mandir}/man3/*.3*


%changelog
* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2009 Chris Weyl <cweyl@alumni.drew.edu> 1.05-1
- update to 1.05

* Thu Nov 20 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.04-1
- update to 1.04

* Sun Feb  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-4
- disable tests due to wacky ppc builders

* Sat Feb  2 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-3
- rebuild for new perl

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-2
- license tag fix

* Sun Apr 29 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.9-1
- bump to 0.9

* Thu Sep 14 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.6-3
- add TEST_POD=1 to make test

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.6-2
- enhance description
- add missing BR
- remove unnecessary Requires

* Thu Aug  3 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.6-1
- initial package for Fedora Extras
